Bug 1000727 - Node returns "HAProxy instance is started" as CLIENT_MESSAGE during create
Node returns "HAProxy instance is started" as CLIENT_MESSAGE during create
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 13:46 EDT by Clayton Coleman
Modified: 2015-05-14 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:46:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-08-24 13:46:33 EDT
The node is using a CLIENT_MESSAGE to send "HAProxy instance is started" on creation, but that message is not a real warning or of relevance to users.  The haproxy cart should be using CLIENT_RESULT instead.
Comment 1 openshift-github-bot 2013-08-26 15:02:30 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/8cc18248bbe9ec6acaf5e83de3bfadf485e2f45f
Bug 1000727 - HAProxy using CLIENT_MESSAGE for status messages
Comment 2 Yan Du 2013-08-26 23:30:30 EDT
test on devenv_3711

no CLINET_MESSAGE "HAProxy instance is started" returned when creating app with CLI or restapi.

1) CLI:
[root@Daphne test]# rhc app create phps php-5.3 -s
Application Options
-------------------
  Namespace:  111
  Cartridges: php-5.3
  Gear Size:  default
  Scaling:    yes

Creating application 'phps' ... done
Waiting for your DNS name to be available ... done


2) restapi:
  <messages>
    <message>
      <severity>info</severity>
      <text>Application perlapp was created.</text>
      <exit-code>0</exit-code>
      <field nil="true"></field>
    </message>
  </messages>
  <version>1.6</version>
  <api-version>1.6</api-version>
  <supported-api-versions>

move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.